Name:        perl-Math-BigInt
Epoch:       1
Version:     1.9998.27
Release:     1
Summary:     Arbitrary size integer/float math package
License:     GPL+ or Artistic
URL:         https://metacpan.org/release/Math-BigInt
Source0:     https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-1.999827.tar.gz
BuildArch:   noarch

BuildRequires:perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::More) >= 0.94

Requires:    perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Requires:    perl(Math::Complex) >= 1.39
Conflicts:   perl < 4:5.22.0-347

%description
Math::BigInt provides support for arbitrary precision integers. Overloading is also
provided for Perl operators.

%package_help

%prep
%autosetup -n Math-BigInt-1.999827 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license LICENSE
%doc BUGS CREDITS README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc CHANGES GOALS HISTORY TODO NEW examples
%{_mandir}/*/*

%changelog
* Fri Dec  3 2021 guozhaorui <guozhaorui1@huawei.com> - 1:1.9998.27-1
- update version to 1.999827

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@huawei.com> - 1:1.9998.18-1
- Bump to version 1.999818

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.9998.13-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of exmaples

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.9998.13-4
- Package init
